#
# spec file for package gecko-mediaplayer
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gecko-mediaplayer
Version:        1.0.9
Release:        2.2
Summary:        Multimedia browser plugin for Gecko based browsers
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Browsers
Url:            http://code.google.com/p/gecko-mediaplayer/
Source0:        http://gecko-mediaplayer.googlecode.com/files/gecko-mediaplayer-%{version}.tar.gz
Patch0:         np_loadss.patch
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmlib) >= 1.0.5
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libxul)
BuildRequires:  pkgconfig(x11)
Requires:       gnome-mplayer
Enhances:       browser(npapi)

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to play media in
a browser. It should work with all browsers on Unix-ish systems(Linux, BSD,
Solaris) and use the NS4 API (Mozilla, Firefox, Opera, etc.).

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-silent-rules \
           --docdir=%{_docdir}/%{name} \
           --with-plugin-dir=%{_libdir}/browser-plugins
make %{?_smp_mflags}

%install
%make_install
# Empty files and default INSTALL file
rm -f '%{buildroot}%{_docdir}/%{name}/'{AUTHORS,NEWS,README,INSTALL}
%find_lang %{name}

%files -f %{name}.lang
%defattr(0644, root, root, 0755)
%{_docdir}/%{name}
%{_libdir}/browser-plugins/gecko-mediaplayer*

%changelog
* Sun May  8 2016 aloisio@gmx.com
- Fix build on newer targets
* Wed May 14 2014 aloisio@gmx.com
- Update to 1.0.9
* Wed Mar  6 2013 reddwarf@opensuse.org
- Update to 1.0.8
* Fri Nov 16 2012 reddwarf@opensuse.org
- Update to 1.0.7
* Tue Apr 10 2012 reddwarf@opensuse.org
- Update to 1.0.6
* Wed Feb 22 2012 reddwarf@opensuse.org
- Update to 1.0.5
* Wed Aug 19 2009 reddwarf@opensuse.org
- Initial package
